#!/bin/false

# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: tbprocs.tcl,v 1.9 1999/08/06 17:48:57 rodr Exp $


proc exitGUI {name exitcmds} {
  # lose any lingering confirmation box
  #
  catch {destroy .confirm}

  # create confirmation box
  #
  toplevel .confirm
  wm title .confirm "Exit $name"
  placepopup .confirm
  # confirmation message
  #
  message .confirm.msg -text "Are you sure you want to exit $name?" \
	-width 500

  #	Yes or no buttons for confirming or cancelling the exit.
  #
  frame .confirm.buttons
  button .confirm.buttons.yes -text Yes -command $exitcmds

  button .confirm.buttons.no -text No -command {destroy .confirm}

  pack	append .confirm.buttons \
	.confirm.buttons.yes	{left fillx expand} \
	.confirm.buttons.no	{right fillx expand}

  pack	append .confirm \
	.confirm.msg		{top fillx padx 10 pady 10} \
	.confirm.buttons	{top fillx}
}
