# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: bitmaploc.tcl,v 1.3 1998/10/13 20:26:23 dglo Exp $

# bitmapLoc bitmap
#
# Find location of a bitmap
#
# Arguments:
#	bitmap		file to locate
#

proc bitmapLoc {bitmap} {
	global env

#
#	if we're a mcwish script, things are easy
#
	if [running_mcwish] {
		if [file exists "$env(GUIDIR)/$bitmap"] {
			set loc "$env(GUIDIR)/$bitmap"
		} else {
			set loc [mcidas pathname $bitmap]
		}
		return $loc
	} else {
		return "??? No location for non-MCWISH GUI bitmap ???"
	}
}
