# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: mc2rgb.tcl,v 1.4 1998/10/13 20:26:44 dglo Exp $

proc mc2rgb {lev} {
#
#	mc2rgb - convert a mcidas color level to an rgb value
#
	global	red
	global	green
	global	blue

	set guout [open "|gu.k TAB " r]
	while {[gets $guout guline] > -1} {

		set level [string range $guline 3 4]
		if {$level <= 9} { set level [string range $guline 4 4]}


		if {$level == $lev} then {

			set red [string range $guline 35 38]
			set green [string range $guline 31 33]
			set blue [string range $guline 24 26]

		}
	}
}
