# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: setcolor.tcl,v 1.2 1998/10/13 20:26:50 dglo Exp $

proc SetColor {swatchWidget colorWidget {how num}} {

	global lowname
	global colorname
	global red
	global green
	global blue
	global i
	global reds
	global greens
	global blues

	set j 0
	if {$how == "name"} {
		while { $j < $i} {
			global names
			if {$colorname == $names($j)} {
				set red $reds($j)
				set green $greens($j)
				set blue $blues($j)
			}
			incr j
		}
		set color [format "#%02x%02x%02x" $red $green $blue]
		$swatchWidget config -bg $color
	} else {
		set red [$colorWidget.red get]
		set blue [$colorWidget.blue get]
		set green [$colorWidget.green get]
		set color [format "#%02x%02x%02x" $red $green $blue]
		$swatchWidget config -bg $color
	}
}

